Get All Users

Get All Users
Get list of users

This endpoint retrieves a list of all users in the system.
Authorized Roles : SYSTEM_ADMIN or INFRA_ADMIN or DSM_ADMIN

Request
URI
GET
https://{api_host}/provider/users
COPY
Query Parameters
page
Optional
Constraints: default: 0

Zero-based page index (0..N)

size
Optional
Constraints: default: 20

The size of the page to be returned

sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

string
userSearchInput
Optional

Filter based on email

Header Parameters
string
Authorization
Required

Bearer token for authentication (e.g., "Bearer <token>" obtained from /provider/session)

string
Accept
Required

Must be application/vnd.vmware.dms-v1+json


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved the list of users.

Returns PagedModel of type(s) application/vnd.vmware.dms-v1+json
{
    "content": [
        {
            "id": 0,
            "email": "string",
            "links": [
                {
                    "rel": "string",
                    "href": "string"
                }
            ]
        }
    ],
    "links": [
        {
            "rel": "string",
            "href": "string"
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    }
}

400

Bad request. The provided input data is invalid.

Returns ErrorDto of type(s) application/vnd.vmware.dms-v1+json
{
    "message": "string",
    "errorCodes": {
        "type": "string"
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/provider/users